import { Subject } from 'rxjs';
import { TreeGridExViewBase } from '@/studio-core';
import AccountService from '@/service/account/account-service';

/**
 * 客户树表格视图视图基类
 *
 * @export
 * @class AccountTreeGridExViewBase
 * @extends {TreeGridExViewBase}
 */
export class AccountTreeGridExViewBase extends TreeGridExViewBase {

    /**
     * 实体服务对象
     *
     * @type {AccountService}
     * @memberof AccountTreeGridExViewBase
     */
    protected appEntityService: AccountService = new AccountService;


    /**
     * 计数器服务对象集合
     *
     * @protected
     * @type {Array<*>}
     * @memberof AccountTreeGridExViewBase
     */    
    protected counterServiceArray: Array<any> = [];

    /**
     * 视图模型数据
     *
     * @protected
     * @type {*}
     * @memberof AccountTreeGridExViewBase
     */
    protected model: any = {
        srfCaption: 'entities.account.views.treegridexview.caption',
        srfTitle: 'entities.account.views.treegridexview.title',
        srfSubTitle: 'entities.account.views.treegridexview.subtitle',
        dataInfo: ''
    }

    /**
     * 容器模型
     *
     * @protected
     * @type {*}
     * @memberof AccountTreeGridExViewBase
     */
    protected containerModel: any = {
        view_searchform: { name: 'searchform', type: 'SEARCHFORM' },
        view_toolbar: { name: 'toolbar', type: 'TOOLBAR' },
        view_treegridex: { name: 'treegridex', type: 'TREEGRIDEX' },
    };

    /**
     * 工具栏模型
     *
     * @type {*}
     * @memberof AccountTreeGridExView
     */
    public toolBarModels: any = {
    };



	/**
     * 视图唯一标识
     *
     * @protected
     * @type {string}
     * @memberof ViewBase
     */
	protected viewtag: string = '8199e26c05058f9a505c39d85fcf1d46';


    /**
     * 引擎初始化
     *
     * @public
     * @memberof AccountTreeGridExViewBase
     */
    public engineInit(): void {
    }


}